/*---------------------------------------------------------------------------*/

/*!  \file  vector.h
     \brief  definitions for 1,2, and 3 dimensional vectors  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007,2019 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_VECTOR_H
#define INCLUDE_VECTOR_H

/*---------------------------------------------------------------------------*/
typedef int int_vector1[1];
typedef int int_vector2[2];
typedef int int_vector3[3];

typedef float float_vector1[1];
typedef float float_vector2[2];
typedef float float_vector3[3];

typedef double double_vector1[1];
typedef double double_vector2[2];
typedef double double_vector3[3];

typedef int_vector1 index1;
typedef int_vector2 index2;
typedef int_vector3 index3;
typedef double_vector1 vector1;
typedef double_vector2 vector2;
typedef double_vector3 vector3;

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
